summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Grapentin <andreas@grapentin.org>2018-05-16 09:24:31 +0200
committerAndreas Grapentin <andreas@grapentin.org>2018-05-16 09:24:31 +0200
commitcf3c0af2f92e02198df7e4ad5559ef97cd0757d8 (patch)
treef50f9d42782c08292a90c58a942e9db3b74afe59
parente10e919aa7d9b9a957f47886ce4ab93139bbabd8 (diff)
cleanup commit
-rwxr-xr-xcreate.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/create.sh b/create.sh
index ba47da5..ca58ebe 100755
--- a/create.sh
+++ b/create.sh
@@ -52,20 +52,20 @@ if [ -z "${SUDO_USER:-}" ]; then
die -e "$ERROR_INVOCATION" "SUDO_USER must be set in environment"
fi
-# import stages
# shellcheck source=src/stage1/stage1.sh
. "$TOPSRCDIR"/stage1/stage1.sh
+stage1 || die -e "$ERROR_BUILDFAIL" "Stage 1 failed. Exiting..."
+
# shellcheck source=src/stage2/stage2.sh
. "$TOPSRCDIR"/stage2/stage2.sh
+stage2 || die -e "$ERROR_BUILDFAIL" "Stage 2 failed. Exiting..."
+
# shellcheck source=src/stage3/stage3.sh
. "$TOPSRCDIR"/stage3/stage3.sh
+stage3 || die -e "$ERROR_BUILDFAIL" "Stage 3 failed. Exiting..."
+
# shellcheck source=src/stage4/stage4.sh
. "$TOPSRCDIR"/stage4/stage4.sh
-
-# run stages
-stage1 || die -e "$ERROR_BUILDFAIL" "Stage 1 failed. Exiting..."
-stage2 || die -e "$ERROR_BUILDFAIL" "Stage 2 failed. Exiting..."
-stage3 || die -e "$ERROR_BUILDFAIL" "Stage 3 failed. Exiting..."
stage4 || die -e "$ERROR_BUILDFAIL" "Stage 4 failed. Exiting..."
msg -n "all done."